# --- 
# one-role.yml
#
# Test a single role against a host or group of hosts.
#
# Parameters:
# targets: group in the inventory to use
# threads: number of simultaneous executions
# variablename: the variable to print
# sshport (optional): override 22/tcp/ssh for Ansible control
#
# Expects ANSIBLE_VAULT_FILE to be set in the environment to path the vault
# Also set ANSIBLE_VAULT_PASSWORD_FILE to your password file location if you want it.
#
- hosts: "{{ targets | default('managed') }}"
  order: sorted
  serial: "{{ threads | default('8') }}"
  gather_facts: true
  ignore_unreachable: true
  vars: 
      ansible_ssh_port: "{{ sshport | default('22') }}" 
      variablename: "{{ variable | default('ansible_os_family') }}"
  vars_files:
     - "{{ lookup('env', 'ANSIBLE_VAULT_FILE') }}"

  tasks:
      - debug: 
          msg: "{{ lookup('vars',variablename) | default('undefined') }}"
